//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Item/LayerRoughnessItems.h
//! @brief     Defines classes LayerRoughnessItems
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODEL_ITEM_LAYERROUGHNESSITEMS_H
#define BORNAGAIN_GUI_MODEL_ITEM_LAYERROUGHNESSITEMS_H

#include "GUI/Model/Types/DoubleProperty.h"

class QXmlStreamReader;
class QXmlStreamWriter;
class Serializer;

class LayerBasicRoughnessItem {
public:
    LayerBasicRoughnessItem();
    DoubleDescriptor sigma() const;
    DoubleDescriptor hurst() const;
    DoubleDescriptor lateralCorrelationLength() const;

    void serialize(Serializer& s);

private:
    DoubleProperty m_sigma;
    DoubleProperty m_hurst;
    DoubleProperty m_lateralCorrelationLength;
};

#endif // BORNAGAIN_GUI_MODEL_ITEM_LAYERROUGHNESSITEMS_H
